<?php namespace TierPricingTable\Integrations\Plugins;

class AeliaMulticurrency {

	public function __construct() {
		add_filter( 'tier_pricing_table/price/product_price_rules', function ( $rules, $product_id, $type ) {

			// Break if Aelia multicurrency is not installed
			if ( ! has_action( 'wc_aelia_cs_convert' ) ) {
				return $rules;
			}

			$from_currency = get_option( 'woocommerce_currency' );
			$to_currency   = get_woocommerce_currency();

			if ( 'fixed' === $type ) {
				$_rules = array();

				foreach ( $rules as $quantity => $price ) {
					$_rules[ $quantity ] = apply_filters( 'wc_aelia_cs_convert', $price, $from_currency, $to_currency );
				}

				return $_rules;
			}

			return $rules;

		}, 99, 4 );
	}
}
